clear 
set more off

insheet using "C:\data\06.dat", tab
sort  village_number household_number
save "C:\data\06.dta", replace


use "C:\data\06.dta", clear
destring _all, replace
*No need to run 'sum' everytime
sum  q215a- q215d
quietly recode q215a (60=6)
sum  q215a- q215d
quietly recode  q215a- q215d (0=.)
sum  q215a- q215d
save "C:\data\06.dta", replace

* 1st MOSQUITO NET

use "C:\data\06.dta", clear
tab q215a, gen(d215a)
drop if  q215a==.
gen lineno = q215a
destring lineno, replace
drop q215b-q215d
sort  village_number household_number lineno
save "C:\data\06_a.dta", replace

* 2nd MOSQUITO NET

use "C:\data\06.dta", clear
tab q215b, gen(d215b)
drop if  q215b==.
gen lineno = q215b
destring lineno, replace
drop q215a q215c q215d
sort  village_number household_number lineno
save "C:\data\06_b.dta", replace

* 3rd MOSQUITO NET

use "C:\data\06.dta", clear
tab q215c, gen(d215c)
drop if  q215c==.
gen lineno = q215c
destring lineno, replace
drop q215a q215b q215d
sort  village_number household_number lineno
save "C:\data\06_c.dta", replace

* 4th MOSQUITO NET

use "C:\data\06.dta", clear
tab q215d, gen(d215d)
drop if  q215d==.
gen lineno = q215d
destring lineno, replace
drop q215a-q215c
sort  village_number household_number lineno
save "C:\data\06_d.dta", replace

* MERGE ALL FOUR MOSTUITO NETS

use "C:\data\06_d.dta", clear
sort  village_number household_number lineno
save, replace

use "C:\data\06_c.dta", clear
sort  village_number household_number lineno
save, replace

use "C:\data\06_b.dta", clear
sort  village_number household_number lineno
save, replace

use "C:\data\06_a.dta", clear
sort  village_number household_number lineno
save, replace

merge village_number household_number lineno using "C:\data\06_b.dta"
sort  village_number household_number lineno
save "C:\data\06_a_b.dta", replace

drop _m*
merge village_number household_number lineno using "C:\data\06_c.dta"
sort  village_number household_number lineno
save "C:\data\06_a_b_c.dta", replace

drop _m*
merge village_number household_number lineno using "C:\data\06_d.dta"
sort  village_number household_number lineno
save "C:\data\06_a_b_c_d.dta", replace

save "C:\data\06 merged.dta", replace 
drop _m*
save, replace

egen  q215_a = rowtotal( d215a1- d215a13)
egen  q215_b = rowtotal( d215b1- d215b13)
egen  q215_c = rowtotal( d215c1- d215c12)
egen  q215_d = rowtotal( d215d1- d215d10)

* drop all other variables which we don't need any longer

drop  d215a1- d215a13
drop  d215b1- d215b13
drop  d215c1- d215c12
drop  d215d1- d215d10

* add labels

label var q215_a "=1 if person slept the night before under mosquito net #1"
label var q215_b "=1 if person slept the night before under mosquito net #2"
label var q215_c "=1 if person slept the night before under mosquito net #3"
label var q215_d "=1 if person slept the night before under mosquito net #4"

save "C:\data\06 fixed.dta", replace 
