********************************
* Prepared by Andrea Locatelli *
* This version 23 Jan @ 12.49  *
********************************

use "C:\data\full_dataset.dta", clear

***********************************
* ADD VAR LABELS & SORT VARIABLES *
***********************************

move  treatment household_number
label var treatment "=1 if village was treated"

label var village_number "village #"
label var household_number "household #"

label var dayv1 "day of first visit"
label var monthv1 "month of first visit"
label var yearv1 "year of first visit"

label var dayv2 "day of second visit"
label var monthv2 "month of second visit"
label var yearv2 "year of second visit"

label var dayv3 "day of third visit"
label var monthv3 "month of third visit"
label var yearv3 "year of third visit"

label var dayvf "day of final visit"
label var monthvf "month of final visit"
label var yearvf "year of final visit"

label var interviewer_coded_name "interviewer #"
label var interview_result "interview result"
label var interview_visits "# of interview visits"

label var hh_size "hh size"
label var hh_roaster_line_number "respondent's line #"
label var supervisor_id "supervisor #"
	
label var o_editor_id ""
label var operator_id ""

label var record_start_h "interview starting time (hours)"
label var record_start_m "interview starting time (minutes)"


label var lineno "line #"

label var qh3 "relationship to head of hh"
label var qh4 "sex"
label var qh5 "does (name) usually live here?"
label var qh6 "did (name) stay here last night?"
label var qh7 "age"
label var qh8 "malaria status"
label var qh9 "was (name) ill with fever any time during the last month?"
label var rh10 "is (name) currently enrolled in school ?"
label var rh10a "in which grade is (name)?"
label var rh11 "=1 if (name) has missed school any time during the last two weeks"
label var rh11 "has (name) missed school any time during the last two weeks?"
label var rh12 "# days school missed in the last two weeks"
label var rh13 "employment status"
label var rh14 "employment sector"
label var rh15 "has (name) missed work any time during the last two  weeks?"
label var rh16 "# days work missed in the last two weeks"


label var q101 "age in completed years"
label var q102 "have you ever attended school?"
label var q103 "highest level of school attended"
label var q104 "highest grade/form/year completed at that level"
label var q106 "can you read and write in any language without any difficulty?"
label var q107 "religion"
label var q108 "tribe"
label var q109 "main source of drinking water for members of hh"
label var q110 "what kind of toilet facility does your hh use?"
label var q111a "=1 if hh has electricity"
label var q111b "=1 if hh has radio"
label var q111c "=1 if hh has TV"
label var q111d "=1 if hh has telephone"
label var q111e "=1 if hh has fridge"
label var q112 "type of fuel mainly used for cookingin hh [1st answer]"
label var q113 "main material of the wall [1st answer]"
label var q114 "main material of the roof [1st answer]"
label var q115 "type of windows"
label var q116 "# separate rooms in hh (including kitchen, toilet, sleeping rooms, salon, etc)"
label var q117 "# sleeping rooms in hh"
label var q118 "# sleeping spaces inside the hh"
label var q119a "=1 if hh has any bike"
label var q119b "=1 if hh has any motorcycle"
label var q119c "=1 if hh has any car/truck"
label var q119d "=1 if hh has any cart"
label var q120 "=1 if respondent is married"
label var q121 "=1 if respondent traveled outside Gash Barka in previous 6 months"
label var q122 "frequency of journeys outside Gash Barka, times per month"
label var q123 "is malaria a problem where you usually travel to?"
label var q124 "=1 if respondent sleeps under mosquito net while travelling"

label var q112a "type of fuel mainly used for cookingin hh [2nd answer]"
label var q113a "main material of the wall [2nd answer]"
label var q114a "main material of the roof [2nd answer]"

label var q112f "type of fuel mainly used for cookingin hh [3rd answer]"
label var q113f "main material of the wall [3rd answer]"
label var q114f "main material of the roof [3rd answer]"


label var q201 "=1 if hh owns any mosquito nets"
label var q202 "=1 if respondent wants a bed net to protect against mosquitoes"
label var q203 "=1 if respondent is willing to pay for a bed net"
label var q204 "how much the respondent is willing to pay for a bed net [nakfa]"
label var q205 "=1 if respondent knows where to obtain a bed net"
label var q206 "# mosquito nets owned by hh"

label var q2071 "=1 if net #1 was observed"
label var q2072 "=1 if net #2 was observed"
label var q2073 "=1 if net #3 was observed"
label var q2074 "=1 if net #4 was observed"

label var q2081 "condition of net #1"
label var q2082 "condition of net #2"
label var q2083 "condition of net #3"
label var q2084 "condition of net #4"

label var q2091 "how many months old is net #1"
label var q2092 "how many months old is net #2"
label var q2093 "how many months old is net #3"
label var q2094 "how many months old is net #4"

label var q2101 "brand of mosquito net #1"
label var q2102 "brand of mosquito net #2"
label var q2103 "brand of mosquito net #3"
label var q2104 "brand of mosquito net #4"

label var q2111 "=1 if net #1 was ever re-treated"
label var q2112 "=1 if net #2 was ever re-treated"
label var q2113 "=1 if net #3 was ever re-treated"
label var q2114 "=1 if net #4 was ever re-treated"

label var q2121 "reason for non treating net #1"
label var q2122 "reason for non treating net #2"
label var q2123 "reason for non treating net #3"
label var q2124 "reason for non treating net #4"

label var q2131 "# months since net #1 was last soaked/dipped"
label var q2132 "# months since net #2 was last soaked/dipped"
label var q2133 "# months since net #3 was last soaked/dipped"
label var q2134 "# months since net #4 was last soaked/dipped"

label var q2141 "=1 if anyone in hh slept the past night under net #1"
label var q2142 "=1 if anyone in hh slept the past night under net #2"
label var q2143 "=1 if anyone in hh slept the past night under net #3"
label var q2144 "=1 if anyone in hh slept the past night under net #4"

move q215a q217
move q215b q217
move q215c q217
move q215d q217

move q215_a q217
move q215_b q217
move q215_c q217
move q215_d q217

label var q215a "old coding for q215 for net #1"
label var q215b "old coding for q215 for net #2"
label var q215c "old coding for q215 for net #3"
label var q215d "old coding for q215 for net #4"

label var q217 "main reason for using a bed net"
label var q217 "main reason for respondent using a bed net"
label var q218 "how often respondent uses a bed net"
label var q219 "=1 if mosquitoes are a problem/nuisance where respondent lives"

label var q220 "=1 if respondent does anything to stop mosquitoes from biting her/him"
label var q221 "what respondent does to stop mosquitoes from biting her/him"
label var q222 "when mosquitoes bite the most"
label var q223 "=1 if interior walls of dwelling sprayed against mosquitoes over past 12 months"
label var q224 "# months elapsed from spraying"
label var q226 "=1 if repondent would allow spraying inside dwelling"
label var q227 "livestock ownership"
label var q228 "distance of livestock from house"
label var q229 "=1 if hh stores water for domestic use"
label var q230 "=1 if stored water is covered"
label var q231 "=1 if respondent participated in enviromental mgmt in village in past 6 months"

label var q232 "tasks performed in enviromental mgmt in village in past 6 months [1st answer]"
label var q232a "tasks performed in enviromental mgmt in village in past 6 months [2nd answer]"
label var q232f "tasks performed in enviromental mgmt in village in past 6 months [3rd answer]"

label var q233 "# days spent by village in these activities in past month"
label var q234 "# days in which hh participated in these activities in past month"

label var q235 "[CHECK] # hh memebers who participated in past month"
label var q235a "# male hh memebers >15yo who participated in past month"
label var q235b "# female hh memebers >15yo who participated in past month"
label var q235c "# hh memebers <15yo who participated in past month"

label var q301 "=1 if malaria a problem in respondent's community"
label var q302 "malaria vectors"

move q303a q306
move q303b q306
label var q303 "who is most affected by malaria? [1st answer]"
label var q303a "who is most affected by malaria? [2nd answer]"
label var q303b "who is most affected by malaria? [3rd answer]"

label var q306 "date of last malaria"
label var q307 "symptoms at last malaria"
label var q308 "=1 if respondent sought treatment for malaria"
label var q309 "where treatment was sought"
label var q311 "=1 if treatment got rid of malaria"

label var q312 "=1 if respondent heard/saw messages about ITNs in past 6 months"
label var q312a "source from which respondent heard/saw messages about ITNs"
label var q313 "=1 if respondent heard/saw messages on early seeking behavior in past 6 months"
label var q313a "source from which respondent heard/saw messages on early seeking behavior"
label var q315 "=1 if respondent heard/saw messages on environmental management in past 6 months"
label var q315a "source from which respondent heard/saw messages on environmental management"

* Use question h9 in the household listing module to confirm/check which hh members 
* have had fever during the last two weeks. Question 400s are asked to those hh members only.

label var q4011 "line # of 1st hh member with fever"
label var q4021 "# days since fever of 1st hh member started"
label var q4031 "=1 if 1st hh member sought treatment for fever"
label var q4041 "source from which 1st hh member sought treatment for fever"
label var q4051 "# days between 1st hh member's fever started & treatment sought"
label var q405a1 "amount spent in past 2 weeks to cure fever of 1st hh member [nakfa]"

label var q4012 "line # of 2nd hh member with fever"
label var q4022 "# days since fever of 2nd hh member started"
label var q4032 "=1 if 2nd hh member sought treatment for fever"
label var q4042 "source from which 2nd hh member sought treatment for fever"
label var q4052 "# days between 2nd hh member's fever started & treatment sought"
label var q405a2 "amount spent in past 2 weeks to cure fever of 2nd hh member [nakfa]"

label var q4013 "line # of 3rd hh member with fever"
label var q4023 "# days since fever of 3rd hh member started"
label var q4033 "=1 if 3rd hh member sought treatment for fever"
label var q4043 "source from which 3rd hh member sought treatment for fever"
label var q4053 "# days between 3rd hh member's fever started & treatment sought"
label var q405a3 "amount spent in past 2 weeks to cure fever of 3rd hh member [nakfa]"

label var q4014 "line # of 4th hh member with fever"
label var q4024 "# days since fever of 4th hh member started"
label var q4034 "=1 if 4th hh member sought treatment for fever"
label var q4044 "source from which 4th hh member sought treatment for fever"
label var q4054 "# days between 4th hh member's fever started & treatment sought"
label var q405a4 "amount spent in past 2 weeks to cure fever of 4th hh member [nakfa]"


label var q4061 "=1 if hh member #1 is still sick with fever"
label var q4071 "=1 if hh member #1 took any drugs for fever during illness"
label var q4111 "when hh member #1 started taking AS+AQ, wrt fever's starting day"
label var q4121 "# days for which hh member #1 took AS+AQ"
label var q4131 "=1 if hh member #1 purchased the drug"

label var q4062 "=1 if hh member #2 is still sick with fever"
label var q4072 "=1 if hh member #2 took any drugs for fever during illness"
label var q4112 "when hh member #2 started taking AS+AQ, wrt fever's starting day"
label var q4122 "# days for which hh member #2 took AS+AQ"
label var q4132 "=1 if hh member #2 purchased the drug"
	
label var q4063 "=1 if hh member #3 is still sick with fever"
label var q4073 "=1 if hh member #3 took any drugs for fever during illness"
label var q4113 "when hh member #3 started taking AS+AQ, wrt fever's starting day"
label var q4123 "# days for which hh member #3 took AS+AQ"
label var q4133 "=1 if hh member #3 purchased the drug"
		
label var q4064 "=1 if hh member #4 is still sick with fever"
label var q4074 "=1 if hh member #4 took any drugs for fever during illness"
label var q4114 "when hh member #4 started taking AS+AQ, wrt fever's starting day"
label var q4124 "# days for which hh member #4 took AS+AQ"
label var q4134 "=1 if hh member #4 purchased the drug"

move q414a1 q4151
move q414a2 q4151
move q414a3 q4151
move q414a4 q4151
rename q414a1 q4141
rename q414a2 q4142
rename q414a3 q4143
rename q414a4 q4144
label var q4141 "amount spent for drug of hh member #1 [nakfa]"
label var q4142 "amount spent for drug of hh member #2 [nakfa]"
label var q4143 "amount spent for drug of hh member #3 [nakfa]"
label var q4144 "amount spent for drug of hh member #4 [nakfa]"

drop rectype

move q407a1 q4111
move q407a2 q4111
move q407a3 q4111
move q407a4 q4111

label var q407a1 "type of medicine other than AS+AQ taken by hh member #1"
label var q407a2 "type of medicine other than AS+AQ taken by hh member #2"
label var q407a3 "type of medicine other than AS+AQ taken by hh member #3"
label var q407a4 "type of medicine other than AS+AQ taken by hh member #4"

label var q4151 "source from which hh member #1 obtained medicine"
label var q4152 "source from which hh member #2 obtained medicine"
label var q4153 "source from which hh member #3 obtained medicine"
label var q4154 "source from which hh member #4 obtained medicine"	


label var  q500 "=1 if option '7 sorghum' was added in q501-503"

* 

label var  q501a "=1 if hh consumed maize in past week"
label var  q501b "=1 if hh consumed rice in past week"
label var  q501c "=1 if hh consumed processed flour in past week"
label var  q501d "=1 if hh consumed cooking oil in past week"
label var  q501e "=1 if hh consumed sugar in past week"
label var  q501f "=1 if hh consumed salt in past week"
label var  q501g "=1 if hh consumed sorghum in past week"

label var  q501aq "quantity of maize consumed in past week"
label var  q501bq "quantity of rice consumed in past week"
label var  q501cq "quantity of processed flour consumed in past week"
label var  q501dq "quantity of cooking oil consumed in past week"
label var  q501eq "quantity of sugar consumed in past week"
label var  q501fq "quantity of salt consumed in past week"
label var  q501gq "quantity of sorghum consumed in past week"

label var  q501au "unit of measure used for maize consumed in past week"
label var  q501bu "unit of measure used for rice consumed in past week"
label var  q501cu "unit of measure used for processed flour consumed in past week"
label var  q501du "unit of measure used for cooking oil consumed in past week"
label var  q501eu "unit of measure used for sugar consumed in past week"
label var  q501fu "unit of measure used for salt consumed in past week"
label var  q501gu "unit of measure used for sorghum consumed in past week"

* 

label var  q502a "=1 if hh purchased maize in past week"
label var  q502b "=1 if hh purchased rice in past week"
label var  q502c "=1 if hh purchased processed flour in past week"
label var  q502d "=1 if hh purchased cooking oil in past week"
label var  q502e "=1 if hh purchased sugar in past week"
label var  q502f "=1 if hh purchased salt in past week"
label var  q502g "=1 if hh purchased sorghum in past week"

label var  q502aq "quantity of maize purchased in past week"
label var  q502bq "quantity of rice purchased in past week"
label var  q502cq "quantity of processed flour purchased in past week"
label var  q502dq "quantity of cooking oil purchased in past week"
label var  q502eq "quantity of sugar purchased in past week"
label var  q502fq "quantity of salt purchased in past week"
label var  q502gq "quantity of sorghum purchased in past week"

label var  q502au "unit of measure used for maize purchased in past week"
label var  q502bu "unit of measure used for rice purchased in past week"
label var  q502cu "unit of measure used for processed flour purchased in past week"
label var  q502du "unit of measure used for cooking oil purchased in past week"
label var  q502eu "unit of measure used for sugar purchased in past week"
label var  q502fu "unit of measure used for salt purchased in past week"
label var  q502gu "unit of measure used for sorghum purchased in past week"

*

label var  q503a "money spent if hh purchased maize in past week"
label var  q503b "money spent if hh purchased rice in past week"
label var  q503c "money spent if hh purchased processed flour in past week"
label var  q503d "money spent if hh purchased cooking oil in past week"
label var  q503e "money spent if hh purchased sugar in past week"
label var  q503f "money spent if hh purchased salt in past week"
label var  q503g "money spent if hh purchased sorghum in past week"

* 

label var  q504a "=1 if hh consumed potatoes in past week"
label var  q504b "=1 if hh consumed green leaves in past week"
label var  q504c "=1 if hh consumed tomatoes in past week"
label var  q504d "=1 if hh consumed onions in past week"
label var  q504e "=1 if hh consumed other vegetables in past week"
label var  q504f "=1 if hh consumed pumpkin/sweet potatoes in past week"
label var  q504g "=1 if hh consumed fruits in past week"
label var  q504h "=1 if hh consumed pulses in past week"

label var  q504aq "quantity of potatoes consumed in past week"
label var  q504bq "quantity of green leaves consumed in past week"
label var  q504cq "quantity of tomatoes consumed in past week"
label var  q504dq "quantity of onions consumed in past week"
label var  q504eq "quantity of other vegetables consumed in past week"
label var  q504fq "quantity of pumpkin/sweet potatoes consumed in past week"
label var  q504gq "quantity of fruits consumed in past week"
label var  q504hq "quantity of pulses consumed in past week"

label var  q504au "unit of measure used for potatoes consumed in past week"
label var  q504bu "unit of measure used for green leaves consumed in past week"
label var  q504cu "unit of measure used for tomatoes consumed in past week"
label var  q504du "unit of measure used for onions consumed in past week"
label var  q504eu "unit of measure used for other vegetables consumed in past week"
label var  q504fu "unit of measure used for pumpkin/sweet potatoes consumed in past week"
label var  q504gu "unit of measure used for fruits consumed in past week"
label var  q504hu "unit of measure used for pulses consumed in past week"

* 

label var  q505a "money spent if hh purchased potatoes in past week"
label var  q505b "money spent if hh purchased green leaves in past week"
label var  q505c "money spent if hh purchased tomatoes in past week"
label var  q505d "money spent if hh purchased onions in past week"
label var  q505e "money spent if hh purchased other vegetables in past week"
label var  q505f "money spent if hh purchased pumpkin/sweet potatoes in past week"
label var  q505g "money spent if hh purchased fruits in past week"
label var  q505h "money spent if hh purchased pulses in past week"

*

label var  q506 "=1 if hh grow produce in a garden"
label var  q507 "=1 if garden is a community garden"

* 

label var  q508a "=1 if hh consumed eggs in past week"
label var  q508b "=1 if hh consumed meat in past week"
label var  q508c "=1 if hh consumed fish in past week"
label var  q508d "=1 if hh consumed ground nuts in past week"
label var  q508e "=1 if hh consumed bread in past week"
label var  q508f "=1 if hh consumed alcohol in past week"
label var  q508g "=1 if hh consumed formula milk in past week"
label var  q508h "=1 if hh consumed non-formula milk in past week"
label var  q508i "=1 if hh consumed other dairies in past week"
label var  q508j "=1 if hh consumed others unlisted in past week"

label var  q508aq "quantity of eggs consumed in past week"
label var  q508bq "quantity of meat consumed in past week"
label var  q508cq "quantity of fish consumed in past week"
label var  q508dq "quantity of ground nuts consumed in past week"
label var  q508eq "quantity of bread consumed in past week"
label var  q508fq "quantity of alcohol consumed in past week"
label var  q508gq "quantity of formula milk consumed in past week"
label var  q508hq "quantity of non-formula milk consumed in past week"
label var  q508iq "quantity of other dairies consumed in past week"
label var  q508jq "quantity of others unlisted consumed in past week"

label var  q508au "unit of measure used for eggs consumed in past week"
label var  q508bu "unit of measure used for meat consumed in past week"
label var  q508cu "unit of measure used for fish consumed in past week"
label var  q508du "unit of measure used for ground nuts consumed in past week"
label var  q508eu "unit of measure used for bread consumed in past week"
label var  q508fu "unit of measure used for alcohol consumed in past week"
label var  q508gu "unit of measure used for formula milk consumed in past week"
label var  q508hu "unit of measure used for non-formula milk consumed in past week"
label var  q508iu "unit of measure used for other dairies consumed in past week"
label var  q508ju "unit of measure used for others unlisted consumed in past week"
		
* 

label var  q509a "=1 if hh purchased eggs in past week"
label var  q509b "=1 if hh purchased meat in past week"
label var  q509c "=1 if hh purchased fish in past week"
label var  q509d "=1 if hh purchased ground nuts in past week"
label var  q509e "=1 if hh purchased bread in past week"
label var  q509f "=1 if hh purchased alcohol in past week"
label var  q509g "=1 if hh purchased formula milk in past week"
label var  q509h "=1 if hh purchased non-formula milk in past week"
label var  q509i "=1 if hh purchased other dairies in past week"
label var  q509j "=1 if hh purchased others unlisted in past week"

label var  q509aq "quantity of eggs purchased in past week"
label var  q509bq "quantity of meat purchased in past week"
label var  q509cq "quantity of fish purchased in past week"
label var  q509dq "quantity of ground nuts purchased in past week"
label var  q509eq "quantity of bread purchased in past week"
label var  q509fq "quantity of alcohol purchased in past week"
label var  q509gq "quantity of formula milk purchased in past week"
label var  q509hq "quantity of non-formula milk purchased in past week"
label var  q509iq "quantity of other dairies purchased in past week"
label var  q509jq "quantity of others unlisted purchased in past week"

label var  q509au "unit of measure used for eggs purchased in past week"
label var  q509bu "unit of measure used for meat purchased in past week"
label var  q509cu "unit of measure used for fish purchased in past week"
label var  q509du "unit of measure used for ground nuts purchased in past week"
label var  q509eu "unit of measure used for bread purchased in past week"
label var  q509fu "unit of measure used for alcohol purchased in past week"
label var  q509gu "unit of measure used for formula milk purchased in past week"
label var  q509hu "unit of measure used for non-formula milk purchased in past week"
label var  q509iu "unit of measure used for other dairies purchased in past week"
label var  q509ju "unit of measure used for others unlisted purchased in past week"

*

label var  q510a "money spent if hh purchased eggs in past week"
label var  q510b "money spent if hh purchased meat in past week"
label var  q510c "money spent if hh purchased fish in past week"
label var  q510d "money spent if hh purchased ground nuts in past week"
label var  q510e "money spent if hh purchased bread in past week"
label var  q510f "money spent if hh purchased alcohol in past week"
label var  q510g "money spent if hh purchased formula milk in past week"
label var  q510h "money spent if hh purchased non-formula milk in past week"
label var  q510i "money spent if hh purchased other dairies in past week"
label var  q510j "money spent if hh purchased others unlisted in past week"

*

label var  q511 "last month expenditure on utilities e.g. water & electricity"
label var  q512 "last month expenditure on firewood/charcoal"
label var  q513 "last month expenditure on parafin"
label var  q514 "last month expenditure on matches/candles"
label var  q515 "last month expenditure on transport"
label var  q516 "last month expenditure on home improvements"

label var  q517 "last month expenditure on non-durables, e.g. pans, plates, bowles"
label var  q518 "last month expenditure on clothing & fabric"
label var  q519 "last month expenditure on health care"
drop  q520
label var  q521 "last month expenditure on education, including uniforms, pencils, supplies"


***************************************

save, replace


***************************************
***************************************

*     ***  ***  ***** *
*    *   * *  * *     *
*    *   * ***  ***   *
*    ***** *  * *     *
**** *   * ***  ***** *****

*** *   * **
*   **  * * * 
**  * * * *  *
*   *  ** *  *
*** *   * *** 

***************************************
***************************************












