********************************
* Prepared by Andrea Locatelli *
* This version 25 Jan @ 15.30  *
********************************

clear

* READ ME:
* NOTE 1 - Before running, save the folder "data" in C:

set memory 20m
set more off

***************************************
* Import value labels from data entry *
***************************************

use "C:\data\01L.dta", clear
label save using label01, replace

use "C:\data\02L.dta", clear
label save using label02, replace

use "C:\data\03L.dta", clear
label save using label03, replace

use "C:\data\04L.dta", clear
label save using label04, replace

use "C:\data\05L.dta", clear
label save using label05, replace

use "C:\data\06L.dta", clear
label save using label06, replace

use "C:\data\07L.dta", clear
label save using label07, replace

use "C:\data\08L.dta", clear
label save using label08, replace

use "C:\data\09L.dta", clear
label save using label09, replace

use "C:\data\10L.dta", clear
label save using label10, replace

use "C:\data\addL.dta", clear
label save using labeladd, replace

***************************************
* Convert text data into stata format *
***************************************

clear

insheet using "C:\data\01.dat", tab
sort  village_number household_number
save "C:\data\01.dta", replace
clear

insheet using "C:\data\02.dat", tab
sort  village_number household_number
save "C:\data\02.dta", replace
clear

insheet using "C:\data\03.dat", tab
sort  village_number household_number
save "C:\data\03.dta", replace
clear

insheet using "C:\data\04.dat", tab
sort  village_number household_number
save "C:\data\04.dta", replace
clear

insheet using "C:\data\05.dat", tab
sort  village_number household_number
save "C:\data\05.dta", replace
clear

insheet using "C:\data\06.dat", tab
sort  village_number household_number
save "C:\data\06.dta", replace
clear

insheet using "C:\data\07.dat", tab
sort  village_number household_number
save "C:\data\07.dta", replace
clear

insheet using "C:\data\08.dat", tab
sort  village_number household_number
save "C:\data\08.dta", replace
clear

insheet using "C:\data\09.dat", tab
sort  village_number household_number
save "C:\data\09.dta", replace
clear

insheet using "C:\data\10.dat", tab
sort  village_number household_number
save "C:\data\10.dta", replace
clear

insheet using "C:\data\add.dat", tab
sort  village_number household_number
save "C:\data\add.dta", replace
clear

**************************************
* Merge the datasets in stata format *
**************************************

* Prepare dataset 02 for merging
use "C:\data\02.dta", clear
sort  village_number household_number lineno
save "C:\data\02.dta", replace

* Prepare dataset 01 for merging
use "C:\data\01.dta", clear
sort  village_number household_number
save "C:\data\01.dta", replace

* Merge 01 & 02 + check
merge  village_number household_number using "C:\data\02.dta"
rename _merge _merge0102
tab _merge0102

* Save merged file
save "C:\data\0102.dta", replace

* ################################################

*********************************************************************
* NOTE:                                                             *
* Dataset 03 contains the section called RESPONDENTS BACKGROUND     *
* In fact some data in this section refer to the whole hh e.g. main *
* source of drinking water and material of the wall                 *
* So it seems appropriate to add these variables to all hh members  *
*********************************************************************

* Prepare dataset 03 for merging
use "C:\data\03.dta", clear
sort  village_number household_number
save "C:\data\03.dta", replace

* Prepare dataset 0102 for merging
use "C:\data\0102.dta", clear
sort  village_number household_number
save "C:\data\0102.dta", replace

* Merge 0102 & 03 + check
merge  village_number household_number using "C:\data\03.dta"
rename _merge _merge010203
tab _merge010203

* Save merged file
save "C:\data\010203.dta", replace

* ################################################

*********************************************************************
* NOTE:                                                             *
* Dataset 04 contains the section called MOSQU. AVOIDANCE PRACTICES *
* In fact some data in this section refer to the whole hh           *
* e.g. ownership of any nets and number of nets owned by the hh     *
* So it seems appropriate to add these variables to all hh members  *
*********************************************************************

* Prepare dataset 04 for merging
use "C:\data\04.dta", clear
sort  village_number household_number
save "C:\data\04.dta", replace

* Prepare dataset 010203 for merging
use "C:\data\010203.dta", clear
sort  village_number household_number
save "C:\data\010203.dta", replace

* Merge 010203 & 04 + check
merge  village_number household_number using "C:\data\04.dta"
rename _merge _merge01020304
tab _merge01020304

* Save merged file
save "C:\data\01020304.dta", replace

* ################################################

* Prepare dataset 05 for merging
use "C:\data\05.dta", clear
sort  village_number household_number
save "C:\data\05.dta", replace

* Prepare dataset 01020304 for merging
use "C:\data\01020304.dta", clear
sort  village_number household_number
save "C:\data\01020304.dta", replace

* Merge 01020304 & 05 + check
merge  village_number household_number using "C:\data\05.dta"
rename _merge _merge0102030405
tab _merge0102030405

* Save merged file
save "C:\data\0102030405.dta", replace

* ################################################

* DATASET 06 MERGED AT THE END, AFTER DATASET '10'

* ################################################

**************************************************************************
* NOTE:                                                                  *
* In dataset 07 some data refer to the whole hh e.g. livestock ownership *
* So it seems appropriate to add these variables to all hh members       *
**************************************************************************

* Prepare dataset 07 for merging
use "C:\data\07.dta", clear
sort  village_number household_number
save "C:\data\07.dta", replace

* Prepare dataset 0102030405 for merging
use "C:\data\0102030405.dta", clear
sort  village_number household_number
save "C:\data\0102030405.dta", replace

* Merge 0102030405 & 07 + check
merge  village_number household_number using "C:\data\07.dta"
rename _merge _merge0102030405_07
tab _merge0102030405_07

* Save merged file
save "C:\data\0102030405_07.dta", replace

* ################################################

****************************
* Data for respondent only *
*    Malaria knowledge     *
****************************

* Prepare dataset 08 for merging
use "C:\data\08.dta", clear
sort  village_number household_number
save "C:\data\08.dta", replace

* Prepare dataset 0102030405_07 for merging
use "C:\data\0102030405_07.dta", clear
sort  village_number household_number
save "C:\data\0102030405_07.dta", replace

* Merge 0102030405_07 & 08 + check
merge  village_number household_number using "C:\data\08.dta"
rename _merge _merge0102030405_0708
tab _merge0102030405_0708

* Save merged file
save "C:\data\0102030405_0708.dta", replace

* To make so that these variables are stored for the respondent only
* I want to compare the line number with the hh roaster number
* If they are =, it means that it that line represents the respondent
* and for that individual we should keep this infomation; if instead
* they are not equal, it is not the respondent and this information
* is actually missing for that individual, and shall be quietly recoded as such

* quietly recode as missing the variables of this section for non-respondents.
* The codes are at the end of the do file (else they don't work).

* ################################################

* Prepare dataset 09 for merging
use "C:\data\09.dta", clear
sort  village_number household_number
save "C:\data\09.dta", replace

* Prepare dataset 0102030405_0708 for merging
use "C:\data\0102030405_0708.dta", clear
sort  village_number household_number
save "C:\data\0102030405_0708.dta", replace

* Merge 0102030405_0708 & 09 + check
merge  village_number household_number using "C:\data\09.dta"
rename _merge _merge0102030405_070809
tab _merge0102030405_070809

* Save merged file
save "C:\data\0102030405_070809.dta", replace

* ################################################

* Prepare dataset 10 for merging
use "C:\data\10.dta", clear
sort  village_number household_number
save "C:\data\10.dta", replace

* Prepare dataset 0102030405_070809 for merging
use "C:\data\0102030405_070809.dta", clear
sort  village_number household_number
save "C:\data\0102030405_070809.dta", replace

* Merge 0102030405_070809 & 10 + check
merge  village_number household_number using "C:\data\10.dta"
rename _merge _merge0102030405_07080910
tab _merge0102030405_07080910

* Save merged file
save "C:\data\0102030405_07080910.dta", replace

* ################################################

		*** ***
		* * *
		* * ***
		* * * *
		*** ***

* Prepare dataset 06 for merging
do "C:\data\add 215.do"

* Prepare dataset 0102030405_07080910 for merging
use "C:\data\0102030405_07080910.dta", clear
destring lineno, replace
sort  village_number household_number lineno
save "C:\data\0102030405_07080910.dta", replace

* Merge 0102030405_07080910 & 06 + check
merge  village_number household_number lineno using "C:\data\06 fixed.dta"
rename _merge _merge01020304050607080910

pause on
tab _merge01020304050607080910
*pause check if merge was correct and then enter 'q' or 'end' to continue

* Save merged file
save "C:\data\01020304050607080910.dta", replace

* ################################################

* Prepare dataset 'add' for merging
use "C:\data\add.dta", clear
sort  village_number household_number
save "C:\data\add.dta", replace

* Prepare dataset 01020304050607080910 for merging
use "C:\data\01020304050607080910.dta", clear
sort  village_number household_number
save "C:\data\01020304050607080910.dta", replace

* Merge 01020304050607080910 & add + check
merge  village_number household_number using "C:\data\add.dta"
rename _merge _merge01020304050607080910add
tab _merge01020304050607080910add

* Save merged file
save "C:\data\01020304050607080910add.dta", replace

* ################################################
* ################################################

* I want to turn everything into a numerical value
* In this way we can easily compute summary statistics for all variables

quietly destring _all, replace

****************
* Save dataset *
****************

* Save
save "C:\data\full_dataset.dta", replace

* ################################################

***************************************
* Add treatment status to the dataset *
***************************************

use "C:\data\village_list_2.dta", clear
sort  village_number
save "C:\data\village_list_2.dta", replace

use "C:\data\full_dataset.dta", clear
sort  village_number
save "C:\data\full_dataset.dta", replace

merge  village_number using "C:\data\village_list_2.dta"
rename _merge _mergeT
tab _mergeT

* Check & drop all _m variables

pause on
sum _m*
*pause check if all merges were correct and then enter 'q' or 'end' to continue
drop _m*

* Save
save "C:\data\full_dataset.dta", replace

* ################################################

* Keep answers on 3.Malaria Knowledgere for respondents only

replace  q301 =.     if  hh_roaster_line_number!= lineno
replace  q302 =.     if  hh_roaster_line_number!= lineno
replace  q303 =.     if  hh_roaster_line_number!= lineno
replace  q303a =.    if  hh_roaster_line_number!= lineno
replace  q303b =.    if  hh_roaster_line_number!= lineno
replace  q306 =.     if  hh_roaster_line_number!= lineno
replace  q307 =.     if  hh_roaster_line_number!= lineno 
replace  q308 =.     if  hh_roaster_line_number!= lineno
replace  q309 ="."   if  hh_roaster_line_number!= lineno
replace  q311 =.     if  hh_roaster_line_number!= lineno
replace  q312 =.     if  hh_roaster_line_number!= lineno
replace  q312a =.    if  hh_roaster_line_number!= lineno
replace  q313 =.     if  hh_roaster_line_number!= lineno
replace  q313a =.    if  hh_roaster_line_number!= lineno
replace  q315 =.     if  hh_roaster_line_number!= lineno
replace  q315a =.    if  hh_roaster_line_number!= lineno

* Check
* list  village_number household_number hh_roaster_line_number lineno  q301- q306 if village==1&household_number<50

* ################################################
* ################################################


****** * *   *
*      *  * *
*****  *   *
*      *  * *
*      * *   *


* pause on
* pause We are now ready to fix the dataset. Enter 'q' to continue
do "C:\data\fix dataset.do"

* ################################################
* ################################################

*     ***  ***  ***** *
*    *   * *  * *     *
*    *   * ***  ***   *
*    ***** *  * *     *
**** *   * ***  ***** *****

* pause on
* pause We are now ready to add labels. Enter 'q' to continue
do "C:\data\labels.do"

use "C:\data\full_dataset.dta", clear
save "C:\data\full_dataset_labeled.dta", replace

* ################################################
* ################################################

*** *   * **
*   **  * * * 
**  * * * *  *
*   *  ** *  *
*** *   * *** 
